# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define _name gmime
%def_disable static
%define ver_major 2.2

Name: lib%_name
Version: %ver_major.23
Release: alt0.M41.1

Summary: MIME library
License: GPLv2+
Group: System/Libraries
Url: http://spruce.sourceforge.net/%_name/
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%_name/%ver_major/%_name-%version.tar.bz2

BuildPreReq: rpm-build-mono rpm-build-gnome
BuildPreReq: glib2-devel >= 2.0.0
BuildPreReq: zlib-devel
BuildPreReq: libgtk-sharp2-devel >= 2.4.0 libgtk-sharp2-gapi
BuildPreReq: gtk-doc >= 0.18 docbook-utils
BuildRequires: gcc-c++ mono-mcs
BuildRequires: /proc

BuildRequires: rpm-build-compat >= 0.95

%description
GMime is a set of utilities for parsing and creating messages using
the Multipurpose Internet Mail Extension (MIME)

%package -n %name-devel
Summary: Development files for libgmime
Group: Development/C
PreReq: %name = %version-%release

%description -n %name-devel
This package contains development files required for packaging
libgmime-based software.

%package -n %name-sharp
Summary: C# bindings
Group: Development/Other
PreReq: %name = %version-%release

%description -n %name-sharp
C# bindings for %_name

%package -n %name-devel-static
Summary: Static libraries for libgmime
Group: Development/C
PreReq: %name-devel = %version-%release

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libgmime-based software.

%prep
%setup -n %_name-%version

# fix dll.config
%__subst 's|@GMIME_VERSION@|2|' mono/gmime-sharp.dll.config.in

%build
%configure  %{subst_enable static} \
	    --disable-rpath \
	    --enable-gtk-doc \
	    --enable-mono \
	    --enable-largefile \
	    --enable-rfc2047-workarounds
%make

%install
%make_install DESTDIR=%buildroot install

# rename to prevent conflict with uu* utils from sharutils
mv %buildroot%_bindir/uuencode %buildroot%_bindir/gmime-uuencode
mv %buildroot%_bindir/uudecode %buildroot%_bindir/gmime-uudecode

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/lib*.so.*

%files -n %name-devel
%_bindir/*
%_libdir/*.sh
%_includedir/gmime-2.0
%_libdir/*.so
%_pkgconfigdir/gmime-2.0.pc
%_datadir/gtk-doc/html/gmime


%files -n %name-sharp
%_monogacdir/gmime-sharp
%_monodir/gmime-sharp
%_pkgconfigdir/gmime-sharp.pc
%_datadir/gapi-2.0/gmime-api.xml

%if_enabled static
%files -n %name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Sep 15 2008 Yuri N. Sedunov <aris@altlinux.org> 2.2.23-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Mon Sep 15 2008 Yuri N. Sedunov <aris@altlinux.org> 2.2.23-alt1
- new version

* Sun Jul 20 2008 Yuri N. Sedunov <aris@altlinux.org> 2.2.22-alt1
- new version

* Thu Jun 05 2008 Alexey Shabalin <shaba@altlinux.ru> 2.2.21-alt1
- 2.2.21

* Thu May 15 2008 Alexey Shabalin <shaba@altlinux.ru> 2.2.19-alt1
- 2.2.19

* Mon Mar 24 2008 Alexey Shabalin <shaba@altlinux.ru> 2.2.18-alt1
- 2.2.18

* Thu Dec 13 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.11-alt1
- 2.2.11
- fix dll.config in sharp package
- enable support for large files 
- enable workarounds for broken rfc2047 encodings

* Sat Sep 08 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.10-alt1
- 2.2.10

* Sun Jul 15 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.9-alt1
- Updated to 2.2.9 (thanks php-coder@)
- /usr/include/gmime-2.0 now belongs to package (#10511)
- Spec cleanup:
  + Added full url to Source tag
  + Removed packages-info-i18n-common from BuildRequires
  + s|%%setup -q|%%setup|
  + s|%%prefix/bin|%%_bindir|
  + Exclude NEWS (was empty) and standard COPYING files from package
  + s|%%_libdir/pkgconfig|%%_pkgconfigdir|
  + Fixed typo in %%changelog: s|beaagle|beagle|

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Thu Nov 23 2006 Alexey Shabalin <shaba@altlinux.ru> 2.2.3-alt1
- NMU: 2.2.3 (needed for beagle-0.2.13)
- move pkgconfig/gmime-sharp.pc to package gmime-sharp
- disable build static libs
- change home url

* Tue Jan 24 2006 Vital Khilko <vk@altlinux.ru> 2.1.19-alt1
- NMU: 2.1.19 (needed for beagle-0.2)

* Wed Jan 18 2006 Vital Khilko <vk@altlinux.ru> 2.1.17-alt1.1
- NMU: added mono bindings

* Fri Dec 23 2005 Andrey Semenov <mitrofan@altlinux.ru> 2.1.17-alt1
- new version

* Fri Sep 16 2005 Andrey Semenov <mitrofan@altlinux.ru> 2.1.14-alt1
- 2.1.14

* Tue Oct 05 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.1.9-alt1
- new version

* Thu Jul 22 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.1.7-alt1
- First version of RPM package
